package entity

import "math/rand"

type KindBoxStatus string

const (
	KindBoxDeliveredStatus             = KindBoxStatus("delivered")
	KindBoxReadyToReturnStatus         = KindBoxStatus("ready-to-return")
	KindBoxAssignedReceiverAgentStatus = KindBoxStatus("assigned-receiver-agent")
	KindBoxReturnedStatus              = KindBoxStatus("returned")
	KindBoxEnumeratedStatus            = KindBoxStatus("enumerated")
)

func (s KindBoxStatus) GetRandom() KindBoxStatus {
	var values []KindBoxStatus

	for _, v := range KindBoxTypeStrings {
		values = append(values, KindBoxStatus(v))
	}
	if len(values) > 0 {
		return values[rand.Intn(len(values))]
	}
	return KindBoxDeliveredStatus
}
